xva-img(1)

NAME
xva-img - Citrix XenServer .xva disk extraction tool

SYNOPSIS
xva-img [OPTION] [COMMAND]...

DESCRIPTION
xva-image is a tool to generate disk images from Citrix XenServer .xva VM images as well as to generate .xva VM images from raw disks and the according ova.xml files.

OPTIONS
-h, --help Show summary of options.

-v, --version Show version of program.

-p, --progress Show progress.

-s, --sparse Create sparse files on export.

COMMANDS
package <xva-file> <file> [ ,<file>... ]

disk-export <xva-disk> <disk-image>

disk-import <xva-disk> <disk-image>

EXAMPLES
Extract the XVA file:

    $ mkdir my-virtual-machine
    $ tar -xf my-virtual-machine.xva -C my-virtual-machine
    $ chmod -R 755 my-virtual-machine
Extract one of the disks:

    $ xva-img -p disk-export my-virtual-machine/Ref\:1/ disk.raw
Splice the disk file (remove all files in the folder, required not to make any unnecessary mistakes):

    $ rm -rf my-virtual-machine/Ref\:1/*
    $ xva-img -p disk-import my-virtual-machine/Ref1\:/ disk.raw
Rebuild the XVA file:

    $ xva-img -p package my-virtual-machine-fixed.xva my-virtual-machine/ova.xml my-virtual-machine/Ref\:1/
Convert raw image to qcow2:

    $ qemu-img convert -f raw -O qcow2 disk.raw disk.qcow2

SEE ALSO
chmod(1), mkdir(1), qemu-img(1), rm(1), tar(1).

AUTHORS
xva-img was written by Erik Lax.

This manpage was written by Francisco Vilmar Cardoso Ruviaro for the Debian project (but may be used by others).